//*********************************************************
//	CalendarMMYY.h
//*********************************************************
#pragma  once
#include  <Be.h>

class	MMYYView;
class	MMYYTextView;
//====================================
//  class  MMYYWindow
//====================================
class  MMYYWindow:public  BWindow
{
	public:
		MMYYWindow(BRect  frame );

		void		MessageReceived(BMessage* msg);
		bool		QuitRequested(void);
		void		WindowActivated(bool state);
		void		SetTargetWindow(CalendarWindow* w);
		void		SetMMYY(void);
		
		CalendarWindow	*aWin;
		BTSMonthView	*aView;
		MMYYView		*mmyyView;
	private:
		char			mmString[20];
		char			yyString[20];
};

//====================================
// class  MMYYView
//====================================
class  MMYYView:public  BView
{
	public:
		MMYYView(BRect frame );
		void		AttachedToWindow();
		MMYYTextView	*yyView;
		MMYYTextView	*mmView;
};

#define	OK_BUTTON_PRESSED		'okbn'
#define	CANCEL_BUTTON_PRESSED	'clbn'

//=====================================
// class MMYYTextView
//=====================================
class	MMYYTextView: public BTextView
{
	public:
		MMYYTextView(BRect frame, const char *name,
			BRect textRect, uint32 reesizeMask,
			uint32 flags );
		void	KeyDown( const char *bytes, int32 numbytes );
		void	SetNextView( MMYYTextView *v )
				{ nextView = v; }
	private:
		MMYYTextView*	nextView;
};